## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/nluconnectors/{nluConnectorId}

### Try it

### Get an NLU Connector

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/nluconnectors/{nluConnectorId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200** - Success
- **400** - Bad Request
- **401** - Unauthorized
- **402** - Payment Required
- **403** - Forbidden
- **404** - Not Found
- **405** - Method Not Allowed
- **409** - Conflict
- **413** - Payload Too Large
- **500** - Internal Server Error
- **501** - Not Implemented
- **502** - Bad Gateway
- **503** - Service Unavailable
- **504** - Gateway Timeout

### Request Example

```json
{
  "name": "New NLUConnector",
  "type": "cognigy",
  "settings": {
    "invocationName": "<string>",
    "reparseAlexaSlots": true,
    "skill": {
      "lastUpdated": "<string>",
      "nameByLocale": {
        "en-US": "<string>",
        "de-DE": "<string>",
        "ja-JP": "<string>",
        "en-GB": "<string>",
        "en-IN": "<string>"
      },
      "skillId": "<string>",
      "stage": "<string>"
    }
  },
  "transformer": {
    "abortOnError": false,
    "transformerStackEnabled": false,
    "transformer": "<string>",
    "preNluTransformerEnabled": false,
    "postNluTransformerEnabled": false,
    "nluCodeTransformerEnabled": false
  },
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Examples

#### 400 Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### 401 Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### 402 Payment Required
```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
